clc;
close all;
clear all;

load('MBZHT_05_results.mat'); 
iorder=1;

%Get Smoothed Variables
y0=[];
SmoothedVars=[];
for endo_iter=1:M_.endo_nbr
    field=string(deblank(M_.endo_names(endo_iter,:)));
    var=getfield(oo_.SmoothedVariables,field);
    SmoothedVars=[SmoothedVars;var'];
    y0 = [y0; var(1)];
end;

%Update decision rules
[oo_.dr,info,M_,options_] = resol(0,M_,options_,oo_);

%Get shocks
ex_=[];
for shock_iter=1:M_.exo_nbr
    field=string(deblank(M_.exo_names(shock_iter,:)));
    ex_=[ex_ getfield(oo_.SmoothedShocks,field)];
end
ex_= ex_(2:end,:);

% Simulation
y_=simult_(M_,options_,y0,oo_.dr,ex_,iorder); 

% Difference
dif=sum(sum(abs(y_-SmoothedVars))) %It should be very close to zero.

%plot
for i=1:size(y_,1)
figure()
hold on;
plot(1:size(y_,2),y_(i,:))
plot(1:size(y_,2),SmoothedVars(i,:))
end